آسیب‌پذیری که از نوع RCE است و با شناسه CVE-2021-3129 رهگیری می‌شود دارای شدت خطر CVSS9.8 بوده که به مهاجم بدون احراز هویت این امکان را می‌دهد تا کد دلخواه خود را از راه دور اجرا نماید.

برای دیدن سایز بزرگ روی عکس کلیک کنید  نام: Laravel-logo.jpg
مشاهده: 0
حجم: 17.0 کیلو بایت

این آسیب‌پذیری بحرانی از نسخه‌های قدیمی‌تر ۲.۵.۲ Ignition نشأت می‌گیرد که یک Error page برای فریمورک Laravel می‌باشد و در صورت فعال بودن قابلیت Debug mode بر روی فریمورک، مهاجم می‌تواند به راحتی از آن سوءاستفاده نماید.
تصویر زیر Error page آسیب‌پذیر در زمان فعال بودن قابلیت Debug mode را نشان می‌دهد.

برای دیدن سایز بزرگ روی عکس کلیک کنید  نام: 373-603a11b03d0b2.png
مشاهده: 0
حجم: 78.9 کیلو بایت

برای تشخیص نسخه فریمورک مورد استفاده
از طریق CLI:

کد:
$ php artisan –version
برای دیدن سایز بزرگ روی عکس کلیک کنید  نام: 374-603a11d9d33a9.png
مشاهده: 0
حجم: 8.2 کیلو بایت

از طریق بررسی فایل به آدرس فایل

کد:
  ./vendor/laravel/framework/src/Illuminate/Foundation/Application.php

در پروژه laravel مربوطه

کد:
  $ vim ./vendor/laravel/framework/src/Illuminate/Foundation/Application.php
برای دیدن سایز بزرگ روی عکس کلیک کنید  نام: 375-603a11fb41e66.png
مشاهده: 0
حجم: 17.8 کیلو بایت

نسخه‌های Laravel پایین‌تر از نسخه ۸.۴.۲ و نسخه‌های Ignition پایین‌تر از نسخه ۲.۵.۲ از نسخه‌های آسیب‌پذیر هستند.

آخرین وصله امنیتی به طور رسمی منتشر شده است.
به مدیران مربوطه توصیه می‌شود که هرچه سریع‌تر فریمورک Laravel خود را به نسخه ۸.۴.۳ و یا مولفه Façade Ignition خود را به نسخه بالاتر از ۲.۵.۲ ارتقا دهند.

همواره توصیه می‌شود که در حالت production قابلیت Debug mode غیرفعال باشد اما به منظور راه‌حل موقت (تا زمان نصب وصله امنیتی) اگر debug mode فعال است توصیه می‌شود که غیرفعال شود.


دوست داشتید؟ لطفا با دوستان خود به اشتراک بگذارید.

57
57 امتیاز

یک نظر

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

واکنش شما به این مطلب چیست ؟

جالب جالب
0
جالب
خنده‌دار خنده‌دار
6
خنده‌دار
انزجار انزجار
4
انزجار
عجیب عجیب
4
عجیب
ناراحت ناراحت
3
ناراحت
بد بد
2
بد
باحال باحال
0
باحال
خوب خوب
6
خوب
ترسناک ترسناک
5
ترسناک